%define beta	rc1_3
%define fbeta	rc1-2

Summary:	Advanced Linux Sound Architecture (ALSA) graphical mixer
Name:		alsamixergui
Version:	0.9.0
Release:	%mkrel 0.12%{beta}
License:	GPL
Group:		Sound
URL:		http://www.iua.upf.es/~mdeboer/projects/alsamixergui/
Source0:	ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui/%{name}-%{version}%{fbeta}.tar.bz2
Patch0:		alsamixergui-0.9.0rc1-fixes.patch
Patch1:		alsamixer-0.9.0rc1-2-fltk.patch
Patch2:		alsamixer-0.9.0rc1-2-fltk2.patch
Patch3:		alsamixergui-0.9.0rc1-memleak.patch
Patch4:		alsamisergui-fix-compile-gcc-3.4.patch
Patch5:		alsamixergui-0.9.0rc1-lock.patch
BuildRequires:	XFree86-devel
BuildRequires:	kernel-headers >= 2.4.0
BuildRequires:	libalsa-devel >= %{version}
BuildRequires:	libslang-devel
BuildRequires:	fltk-devel >= 1.1
Requires:	kernel >= 2.4.18
%if %mdkversion >= 200700
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the gui
part, so it provides exactly the same functionality, but with a 
graphical userinterface.

%prep

%setup -q -n %{name}-%{version}%{fbeta}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1 -b .fix_gcc_3.4
%patch5 -p0

%build
autoconf
%configure
%make all

%install
rm -rf %{buildroot}

%makeinstall

# MDK menu entry
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
command="%{name}" \
icon="sound_section.png" \
section="Multimedia/Sound" \
title="AlsaMixerGUI" \
longtitle="ALSA \
connection mixer" \
needs="x11" \
xdg="true"
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=AlsaMixerGUI
Comment=%{summary}
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;Audio;Mixer;
EOF

%post
%update_menus
%if %mdkversion >= 200700
%update_desktop_database
%endif

%postun
%clean_menus
%if %mdkversion >= 200700
%clean_desktop_database
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.12rc1_3mdv2007.0
+ Revision: 117752
- Import alsamixergui



* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.12rc1_3
- add xdg menu stuff

* Thu Sep 28 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.11rc1_3
- sync with mille-xterm (P5)

* Mon Dec 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-0.10rc1_3mdk
- rebuild
- spec cosmetics
- do parallell build

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.0-0.9rc1_3mdk
- Rebuild

* Sat Sep 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.9rc1_2mdk
- patch 3: fix mem leak

* Thu Sep 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc1_2mdk
- fix {build,}requires for 64bit ports

* Tue May 27 2003 David BAUDENS <baudens@mandrakesoft.com> 0.9.0-0.7rc1_2mdk
- Fix icon in menu

* Mon Dec 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc1_2mdk
- rebuild for new libfltk
- fix previous change: alsamixergui is still at rc1-2, not rc1-3 !

* Sun Oct 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.5rc1_3mdk
- BuildRequires: XFree86-devel

* Sat Aug 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.5rc1_2mdk
- rebuild for new g++ ABI

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1_2mdk
- rebuild for new g++-3.2

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1_2mdk
- fix Url
- add download url
- gcc-3.1 build
- fix stupid fltk detection [Patch1]
- fix compilation with gcc-3.1 and new fltk [Patch2]

* Tue May 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2rc1_2mdk
- new release (aka merging of mandrake patches)

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1rc1mdk
- initial package
